From c1635deb9520d43c4511ec1c1241b70cb883c659 Mon Sep 17 00:00:00 2001
From: TsiChungLiew <Tsi-Chung.Liew@freescale.com>
Date: Sun, 5 Aug 2007 03:43:30 -0500
Subject: [PATCH] Moved sync() from board file to include/asm-m68k/io.h

Signed-off-by: TsiChungLiew <Tsi-Chung.Liew@freescale.com>
---
 board/freescale/m5329evb/m5329evb.c |    7 -------
 include/asm-m68k/io.h               |    7 +++++++
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/board/freescale/m5329evb/m5329evb.c b/board/freescale/m5329evb/m5329evb.c
index d180b6f..058cda5 100644
--- a/board/freescale/m5329evb/m5329evb.c
+++ b/board/freescale/m5329evb/m5329evb.c
@@ -87,10 +87,3 @@ int testdram(void)
 	return (0);
 }
 
-#ifdef CFG_FLASH_CFI
-void sync(void)
-{
-	/* This sync function is PowerPC intruction,
-	   coldfire does not have this instruction. Dummy function */
-}
-#endif				/* CFG_FLASH_CFI */
diff --git a/include/asm-m68k/io.h b/include/asm-m68k/io.h
index 8dea02a..114efb1 100644
--- a/include/asm-m68k/io.h
+++ b/include/asm-m68k/io.h
@@ -211,4 +211,11 @@ extern inline void out_be32(volatile unsigned *addr, int val)
 	*addr = val;
 }
 
+static inline void sync(void)
+{
+	/* This sync function is for PowerPC or other architecture instruction
+	 * ColdFire does not have this instruction. Dummy function, added for
+	 * compatibility (CFI driver)
+	 */
+}
 #endif				/* __ASM_M68K_IO_H__ */
-- 
1.5.2

